@tool

extends NinePatchRect


@export var horizontal_alignment: HorizontalAlignment = HorizontalAlignment.HORIZONTAL_ALIGNMENT_CENTER:
    get: return $header.horizontal_alignment if is_inside_tree() else HorizontalAlignment.HORIZONTAL_ALIGNMENT_CENTER
    set(val): if is_inside_tree(): $header.horizontal_alignment = val


@export var vertical_alignment: VerticalAlignment = VerticalAlignment.VERTICAL_ALIGNMENT_CENTER:
    get: return $header.vertical_alignment if is_inside_tree() else VerticalAlignment.VERTICAL_ALIGNMENT_CENTER
    set(val): if is_inside_tree(): $header.vertical_alignment = val


@export var text: String = 'caption text':
    get: return $header.text if is_inside_tree() else ''
    set(val): if is_inside_tree(): $header.text = val
